<html>
<head>
<link rel="stylesheet" type="text/css" href="css/form.css" />
<link rel="stylesheet" type="text/css" href="css/style.css" />
<style>
#password-strength-status {
    padding: 5px 10px;
    border-radius: 4px;
    margin-top: 5px;
}

.medium-password {
    background-color: #fd0;
}

.weak-password {
    background-color: #FBE1E1;
}

.strong-password {
    background-color: #D5F9D5;
}
</style>
<script src="https://code.jquery.com/jquery-2.1.1.min.js"
    type="text/javascript"></script>
<script type="text/javascript">
function checkPasswordStrength() {
    var number = /([0-9])/;
    var alphabets = /([a-zA-Z])/;
    var special_characters = /([~,!,@,#,$,%,^,&,*,-,_,+,=,?,>,<])/;
    var password = $('#password').val().trim();
    if(password.length<6) {
        $('#password-strength-status').removeClass();
        $('#password-strength-status').addClass('weak-password');
        $('#password-strength-status').html("Weak (should be atleast 6 characters.)");
    } else {
        if(password.match(number) && password.match(alphabets) && password.match(special_characters)) {
            $('#password-strength-status').removeClass();
            $('#password-strength-status').addClass('strong-password');
            $('#password-strength-status').html("Strong");
        }
        else {
            $('#password-strength-status').removeClass();
            $('#password-strength-status').addClass('medium-password');
            $('#password-strength-status').html("Medium (should include alphabets, numbers and special characters.)");
        }
    }
}
</script>

</head>
<body>
    <div class="phppot-container tile-container">
        <h2 class="text-center">Password Strength Checker</h2>
        <form>
            <div class="row">
                <label>Password:</label> <input type="password"
                    name="password" id="password" class="full-width"
                    onkeyup="checkPasswordStrength();" />
            </div>
            <div id="password-strength-status"></div>
        </form>
    </div>
</body>
</html>